/*
 * Copyright (C) 2016 FAUmachine Team <info@faumachine.org>.
 * This program is free software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License, either version 2 of
 * the License, or (at your option) any later version. See COPYING.
 */

#define DEBUG_CONTROL_FLOW	0

/*
 * See: ATMEL docs page 49 ff.
 */

#ifdef INCLUDE
#endif /* INCLUDE */
#ifdef STATE

struct {
	uint8_t dummy;
} NAME;

#endif /* STATE */
#ifdef EXPORT

/*forward*/ static void                                       
NAME_(udr_set)(struct cpssp *cpssp, uint8_t val);             
/*forward*/ static void                                       
NAME_(udr_get)(struct cpssp *cpssp, uint8_t *valp);

#endif /* EXPORT */
#ifdef BEHAVIOR

static void
NAME_(udr_set)(struct cpssp *cpssp, uint8_t val)
{
	/* FIXME */
	fprintf(stderr, "%c", val);
}

static void
NAME_(udr_get)(struct cpssp *cpssp, uint8_t *valp)
{
	*valp = 0; /* FIXME */
}

static void
NAME_(create)(struct cpssp *cpssp)
{
}

static void
NAME_(destroy)(struct cpssp *cpssp)
{
}

#endif /* BEHAVIOR */

#undef DEBUG_CONTROL_FLOW
